﻿@model LabMaintanance6.Models.AllUser

@{
    ViewBag.Title = "Register";
    Layout = null;
}

<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Register</title>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/Views/Home/HomeStyle.css" rel="stylesheet" />
    <style>
        .registration-form {
            background-color: #f7f7f7;
            padding: 50px;
            border-radius: 5px;
            box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
            border: 1px solid #ccc; /* Added border style */
        }

            .registration-form h2 {
                margin-top: 0;
                margin-bottom: 20px;
                text-align: center;
            }

            .registration-form .form-group {
                margin-bottom: 20px;
            }

            .registration-form .control-label {
                text-align: right;
                padding-right: 10px;
                vertical-align: middle;
            }

            .registration-form .btn-register {
                width: 100%;
                padding: 10px 0;
                font-weight: bold;
            }

            .registration-form .btn-back {
                font-weight: bold;
            }

        body {
            background-color: #f0f0f0;
            padding-top: 100px;
        }


        .btn-custom:hover {
            background-color: #333; /* Darken the button on hover */
            color: white;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="registration-form">
                    <h2>Register</h2>

                    @using (Html.BeginForm("Register", "Home", FormMethod.Post, new { @class = "form-horizontal" }))
                    {
                        @Html.AntiForgeryToken()

                        <table class="table">
                            <tr>
                                <td class="control-label">
                                    @Html.LabelFor(model => model.username, "UserName")
                                </td>
                                <td>
                                    @Html.TextBoxFor(model => model.username, new { @class = "form-control", placeholder = "Username" })
                                    @Html.ValidationMessageFor(model => model.username, "", new { @class = "text-danger" })
                                </td>
                            </tr>
                            <tr>
                                <td class="control-label">
                                    @Html.LabelFor(model => model.email, "Email")
                                </td>
                                <td>
                                    @Html.TextBoxFor(model => model.email, new { @class = "form-control", placeholder = "Email" })
                                    @Html.ValidationMessageFor(model => model.email, "", new { @class = "text-danger" })
                                </td>
                            </tr>
                            <tr>
                                <td class="control-label">
                                    @Html.LabelFor(model => model.password, "Password")
                                </td>
                                <td>
                                    @Html.PasswordFor(model => model.password, new { @class = "form-control", placeholder = "Password" })
                                    @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })
                                </td>
                            </tr>
                        </table>

                        <div class="form-group">
                            <div class="col-md-offset-3 col-md-9">
                                <input type="submit" value="Register" class="btn btn-primary btn-register" />
                            </div>
                        </div>
                    }
                </div>
                <div class="form-group">
                    <div class="col-sm-12 text-center">
                        @Html.ActionLink("Back to Login", "Login", null, new { @class = "btn btn-secondary btn-back" })
                    </div>
                </div>

            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
